## jacktrip 1.0.5.patch2

=== debian/changelog ===
jacktrip (1.0.5.patch2-1ubuntu1) quantal; urgency=low

  * Fix FTBFS because of missing header.

 -- Ilya Barygin <randomaction@ubuntu.com>  Fri, 28 Sep 2012 22:34:32 +0400

jacktrip (1.0.5.patch2-1) unstable; urgency=low

  [ IOhannes m zmoelnig (gpg-key at iem) ]
  * Initial release.
    Closes: bug#604758.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Nov 2010 11:27:15 +0100
