=== debian/control ===
Source: jacktrip
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper (>= 7.0.1),
 dh-buildinfo,
 cdbs (>= 0.4.69~),
 devscripts (>= 2.10.7~),
 doxygen,
 help2man,
 libqt4-dev,
 qt4-qmake,
 libjack-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/jacktrip/
Vcs-Git: git://git.debian.org/pkg-multimedia/jacktrip
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jacktrip.git

Package: jacktrip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A System for High-Quality Audio Network Performance
 JackTrip is a Linux and Mac OS X-based system used for multi-machine network
 performance over the Internet. It supports any number of channels (as many as
 the computer/network can handle) of bidirectional, high quality, uncompressed
 audio signal steaming.
 .
 You can use it between any combination of Linux and Mac OS X (i.e., one end
 using Linux can connect to the other using Mac OS X).
 .
 It is currently being developed and actively tested at CCRMA by the SoundWIRE
 group.
