=== debian/watch ===
# you can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format
version=3
http://googlecode.debian.net/p/jacktrip/jacktrip-(\d+.*)\.tar\.gz
