## jacktrip 1.1~repack

=== debian/changelog ===
jacktrip (1.1~repack-3) unstable; urgency=medium

  * Updated Vcs-* stanzas
  * Added debian/git-tuneclone.sh script (documented in README.source)
  * Fixed debian/watch
  * Bumped standards version to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 16 Feb 2016 13:34:05 +0100

jacktrip (1.1~repack-2) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Build against Qt5
  * Fix spelling errors
  * documentation
    * Strip lines that confuse help2man
    * Don't ship doxygen's useless .map-files
    * Build-Depend on graphviz for nice inheritance pictures
  * Regenerated debian/{control,copyright_hints}

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 29 Jun 2015 11:53:35 +0200

jacktrip (1.1~repack-1) unstable; urgency=medium

  * New Upstream Release

  [ IOhannes m zmölnig ]
  * Document repacking of upstream sources in debian/README.source
  * Remove patches incorporated upstream
  * Build-depend on librtaudio-dev
    * Backport patches to use system-installed RtAudio
  * Patch for reproducible builds (Closes: #788757)
  * Don't ship with doxygen's useless md5-files
  * Unconditionally include cdbs/utils.mk
  * Update my Uploader's name
  * Upstream homepage has moved to github
    * Update debian/watch
  * Update debian/copyright
  * Regenerate debian/{control,copyright_hints}
  * Bump standards-version to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 28 Jun 2015 22:57:51 +0200

jacktrip (1.0.5.patch2-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Fix typo and improve wording of long description.
  * Rewrap long description at 72 chars.
  * Tighten build-dependency on cdbs to versions properly supporting
    debhelper compat level 7.
  * Adjust copyright-check suppression hint to match recent CDBS.

  [ IOhannes m zmölnig ]
  * Rewrite debian/copyright according to final version of DEP5.
  * Added missing include.
  * Removed sourceforge-logo from docs.
  * Fixed my uploader's name (after gpg-key transition).
  * Canonicalized Vcs-* stanzas.
  * Filtered input to help2man for nicer manpages.
  * Forced NAME-paragraph of manpage to something useful.
  * Removed unused patch.
  * Updated my uploader's name.
  * Bumped standards-version to 3.9.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 08 May 2014 17:32:29 +0200
