=== debian/control ===
Source: jacktrip
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 devscripts,
 doxygen,
 graphviz,
 help2man,
 qtbase5-dev,
 qt5-qmake,
 libjack-dev,
 librtaudio-dev
Standards-Version: 3.9.7
Homepage: https://github.com/jcacerec/jacktrip/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/jacktrip.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/jacktrip.git

Package: jacktrip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high-quality system for audio network performances
 JackTrip is a Linux and Mac OS X-based system used for multi-machine
 network performance over the Internet. It supports any number of
 channels (as many as the computer/network can handle) of bidirectional,
 high quality, uncompressed audio signal streaming.
 .
 You can use it between any combination of Linux and Mac OS X systems
 (i.e., one end using Linux can connect to the other using Mac OS X).
 .
 It is currently being developed and actively tested at CCRMA by the
 SoundWIRE group.
