=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,11 @@
 # TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 # SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 
+export QT_SELECT=qt5
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/qmake.mk
--include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/rules/utils.mk
 
 DBS_BUILD_DEPENDS_rules_utils_copyright-check =
 CDBS_BUILD_DEPENDS_rules_utils_buildinfo =
@@ -37,11 +38,13 @@
 DEB_DH_INSTALLCHANGELOGS_ARGS = CHANGESLOG.txt
 
 # Suppress scanning documentation images causing false alarms.
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^\./(documentation/img/.*|debian/(changelog|copyright(|_hints|_newhints)))$
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = documentation/img/.*|debian/(changelog|copyright(|_hints|_newhints))$
 
 build/jacktrip::
 	doxygen jacktrip_doxygen
-	help2man -N src/jacktrip > jacktrip.1
+	find WWW -name "*.md5" -delete
+	find WWW -name "*.map" -delete
+	help2man -N -n "high-quality system for audio network performances" debian/jacktrip-help2man > jacktrip.1
 
 clean::
 	rm -rf WWW
