=== debian/watch ===
# you can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format
version=4
opts=dversionmangle=s/[~+](dfsg|repack)(\.\d*)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/jacktrip-$1\.tar\.gz/ \
  https://github.com/jcacerec/jacktrip/tags .*/v?(\d\S*)\.tar\.gz
#https://github.com/jcacerec/jacktrip/releases \
#.*[^n]/(?:|v|version-|version|release-|r|REL_|rel-|jacktrip(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
