## jacktrip 1.2.1+ds0

=== debian/changelog ===
jacktrip (1.2.1+ds0-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 1.2.1+ds0

  [ IOhannes m zmölnig ]
  * Refresh patches
  * Add salsa-ci configuration

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Aug 2020 20:05:55 +0200

jacktrip (1.2+ds0-1) unstable; urgency=medium

  * New upstream version 1.2
    * Remove patches applied upstream
    * New patch to fix spelling
  * Build manpage directly from binary
  * Update d/copyright
    * Regenerate d/copyright_hints
    * Fixe Files-stanza in d/copyright
    * Remove files dropped by upstream from Files-Excluded
  * Fix d/watch
    * Use upstream's github repository
    * Use dversionmangle=auto
    * Add repacksuffix
  * Bump dh-compat to 13
  * Bump standards-version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 15 Jun 2020 10:27:50 +0200

jacktrip (1.1~repack-7) unstable; urgency=medium

  * Patch to handle IPv4-mapped addresses.
    Thanks to Aaron Wyatt <dev@psi-borg.org> (Closes: #939126)
  * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 02 Sep 2019 13:35:55 +0200

jacktrip (1.1~repack-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig ]
  * Improve cross building: Use a triplet-prefixed pkg-config.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #923566)
  * Switch build-system from CDBS to dh
  * Add fix for another spelling error
  * Update d/copyright
    * Add Files-Excluded stanza
    * Update dates
    * Regenerate d/copyright_hints
  * Fix typo in d/README.source
  * Declare that building the package doesn't require 'root' powers
  * Drop obsolete d/source/local-options to allow 'dgit push'
  * Removed Jonas from uploaders (after a quick check on IRC)
  * Bump dh compat to 12
    * Use debhelper-compat instead of debian/compat
  * Bump standards-version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Aug 2019 09:19:01 +0200

jacktrip (1.1~repack-5) unstable; urgency=medium

  * Only build 'release' profile
    * No longer ship jacktrip_debug
  * Pass LDFLAGS to the build
  * Fixed typo in CDBS variable name

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 03 Aug 2016 12:31:59 +0200

jacktrip (1.1~repack-4) unstable; urgency=medium

  * Get CFLAGS from librtaudio via pkg-config (Closes: #828951)
    * B-D on pkg-config
  * lintian-ignore build warnings for jacktrip_debug
  * Removed .gitignore
    * Suggest to use gbp-postclone hook instead
  * Updated d/copyright
  * Bumped standards version to 3.9.8
    * No changes needed

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 01 Aug 2016 13:24:49 +0200
