=== debian/control ===
Source: jacktrip
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-buildinfo,
 doxygen,
 graphviz,
 help2man,
 qtbase5-dev,
 qt5-qmake,
 pkg-config,
 libjack-dev,
 librtaudio-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/jcacerec/jacktrip/
Vcs-Git: https://salsa.debian.org/multimedia-team/jacktrip.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/jacktrip

Package: jacktrip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: high-quality system for audio network performances
 JackTrip is a Linux and Mac OS X-based system used for multi-machine
 network performance over the Internet. It supports any number of
 channels (as many as the computer/network can handle) of bidirectional,
 high quality, uncompressed audio signal streaming.
 .
 You can use it between any combination of Linux and Mac OS X systems
 (i.e., one end using Linux can connect to the other using Mac OS X).
 .
 It is currently being developed and actively tested at CCRMA by the
 SoundWIRE group.
