=== debian/watch ===
# you can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format
version=4
opts="dversionmangle=auto,repacksuffix=+ds0,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/jacktrip-$1\.tar\.gz/" \
  https://github.com/jacktrip/jacktrip/tags .*/v?(\d\S*)\.tar\.gz
