## jacktrip 1.3.0+ds0

=== debian/changelog ===
jacktrip (1.3.0+ds0-1) unstable; urgency=medium

  * New upstream version 1.3.0+ds0
    * Exclude source-less PDFs
  * Fix spelling mistakes
  * Follow upstream and "Suggest" to install iperf, audacity, qjackctl
  * Refresh d/copyright
    * Regenerate d/copyright_hints
  * Refresh d/watch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 21 Jan 2021 12:53:28 +0100

jacktrip (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
    * Drop patches applied upstream
  * Bump standards version to 4.5.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 04 Jan 2021 00:19:40 +0100
