=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  pkg-config,
  libjack-dev,
  librtaudio-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/jcacerec/jacktrip/
 Vcs-Git: https://salsa.debian.org/multimedia-team/jacktrip.git
@@ -24,6 +24,7 @@
 Package: jacktrip
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
+Suggests: iperf, audacity, qjackctl
 Description: high-quality system for audio network performances
  JackTrip is a Linux and Mac OS X-based system used for multi-machine
  network performance over the Internet. It supports any number of
