=== debian/changelog ===
jacktrip (1.5.1+ds0-1) unstable; urgency=medium

  * New upstream version 1.5.1+ds0
    * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 19 Jan 2022 08:53:58 +0100

jacktrip (1.5.0+ds0-1) unstable; urgency=medium

  * New upstream version 1.5.0+ds0
  * Bump dates in d/copyright

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 03 Jan 2022 17:23:15 +0100

jacktrip (1.4.3+ds0-1) unstable; urgency=medium

  * New upstream version 1.4.3+ds0

  * Use new upstream changelog
  * Update d/copyright
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 22 Dec 2021 15:19:31 +0100

jacktrip (1.4.2+ds0-1) unstable; urgency=medium

  * New upstream version 1.4.2+ds0
    * Refresh patches
  * Drop "qjacktl" and "audacity" from jacktrip-cli's Suggests
  * Build jacktrip-gui with RtAudio support (but not jacktrip-cli)
  * Update manpage
  * Apply 'wrap-and-sort -ast'
  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 07 Dec 2021 11:05:58 +0100

jacktrip (1.4.1+ds0-1~exp0) experimental; urgency=medium

  * New upstream version 1.4.1+ds0

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * More spelling fixes
  * Build GUI and no-GUI flavours
  * Drop API-reference from package
  * Adjust to new location of documentation
  * Build manpages (if possible)
  * Install a .desktop file for jacktrip-gui
  * Refresh d/copyright
    * Regenerate d/copyright_hints
  * Fix upstream repository and homepage
  * Fix d/watch
  * Bump standards version to 4.6.0

  [ Jenkins ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 25 Nov 2021 15:04:31 +0100
