=== debian/control ===
--- 
+++ 
@@ -7,25 +7,26 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-buildinfo,
- doxygen,
- graphviz,
  help2man,
- qtbase5-dev,
- qt5-qmake,
- pkg-config,
  libjack-dev,
  librtaudio-dev,
-Standards-Version: 4.5.1
+ pkg-config,
+ qt5-qmake,
+ qtbase5-dev,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: https://github.com/jcacerec/jacktrip/
+Homepage: https://github.com/jacktrip/jacktrip/
 Vcs-Git: https://salsa.debian.org/multimedia-team/jacktrip.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/jacktrip
 
 Package: jacktrip
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
-Suggests: iperf, audacity, qjackctl
-Description: high-quality system for audio network performances
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ iperf,
+Description: high-quality system for audio network performances (cmdline)
  JackTrip is a Linux and Mac OS X-based system used for multi-machine
  network performance over the Internet. It supports any number of
  channels (as many as the computer/network can handle) of bidirectional,
@@ -36,3 +37,29 @@
  .
  It is currently being developed and actively tested at CCRMA by the
  SoundWIRE group.
+ .
+ This package contains the minimal command line version of jacktrip.
+
+Package: jacktrip-gui
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ audacity,
+ iperf,
+ qjackctl,
+Description: high-quality system for audio network performances (GUI)
+ JackTrip is a Linux and Mac OS X-based system used for multi-machine
+ network performance over the Internet. It supports any number of
+ channels (as many as the computer/network can handle) of bidirectional,
+ high quality, uncompressed audio signal streaming.
+ .
+ You can use it between any combination of Linux and Mac OS X systems
+ (i.e., one end using Linux can connect to the other using Mac OS X).
+ .
+ It is currently being developed and actively tested at CCRMA by the
+ SoundWIRE group.
+ .
+ This package contains the GUI version of jacktrip, which also includes
+ RtAudio support.
