## jacktrip 1.6.3+ds0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,29 @@
 cmake_minimum_required(VERSION 3.12)
 set(CMAKE_OSX_DEPLOYMENT_TARGET 10.13)
+set(CMAKE_OSX_ARCHITECTURES arm64;x86_64)
 project(QJackTrip)
 
 set(nogui FALSE)
 set(rtaudio TRUE)
 set(weakjack TRUE)
-add_compile_definitions(NO_JTVS)
+set(novs TRUE)
+
+message(STATUS "Hello Aaron! For anyone else, heed the following warning:")
+message(WARNING "The CMake build of JackTrip is currently NOT officially supported. Meson or QMake are recommended for a full featured build."
+        "https://jacktrip.github.io/jacktrip/Build/Meson_build/")
+
+add_compile_definitions(PSI)
+add_compile_definitions(NO_UPDATER)
+#add_compile_definitions(BUILD_TYPE="psi-borg.org NO_VS binary")
+#string(TIMESTAMP BUILD_DATE "%Y%m%d")
+#set(BUILD_NUMBER "00")
+#add_compile_definitions(BUILD_ID="${BUILD_DATE}${BUILD_NUMBER}")
+#add_compile_definitions(NDEBUG)
 add_compile_definitions(QT_OPENSOURCE)
 
 if (nogui)
   add_compile_definitions(NO_GUI)
+  set(novs TRUE)
 endif ()
 
 if (rtaudio)
@@ -20,6 +34,10 @@
   add_compile_definitions(USE_WEAK_JACK)
   include_directories("externals/weakjack")
 endif()
+
+if (novs)
+  add_compile_definitions(NO_VS)
+endif ()
 
 if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
   set (ENV{PKG_CONFIG_PATH} "/usr/local/lib/pkgconfig")
@@ -43,7 +61,7 @@
   find_package(PkgConfig REQUIRED)
   pkg_check_modules(JACK REQUIRED IMPORTED_TARGET jack)
   if (weakjack)
-    # On mac, weakjack doesnt't find jack unless this is explicitly included.
+    # On mac, weakjack doesn't find jack unless this is explicitly included.
     include_directories(${JACK_INCLUDE_DIRS})
   endif ()
   if (rtaudio)
@@ -51,6 +69,7 @@
   endif ()
 endif ()
 
+#set_property(SOURCE src/Regulator.h PROPERTY SKIP_AUTOGEN ON)
 # Find includes in corresponding build directories
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 # Instruct CMake to run moc automatically when needed.
@@ -63,6 +82,11 @@
 # Find the QtWidgets library
 if (NOT nogui)
   find_package(Qt5Widgets CONFIG REQUIRED)
+  if (NOT novs)
+    find_package(Qt5Quick CONFIG REQUIRED)
+    find_package(Qt5NetworkAuth CONFIG REQUIRED)
+    find_package(Qt5WebSockets CONFIG REQUIRED)
+  endif ()
 endif ()
 find_package(Qt5Network CONFIG REQUIRED)
 
@@ -82,7 +106,7 @@
   src/PacketHeader.cpp
   src/RingBuffer.cpp
   src/JitterBuffer.cpp
-  src/PoolBuffer.cpp
+  src/Regulator.cpp
   src/Compressor.cpp
   src/Limiter.cpp
   src/Reverb.cpp
@@ -110,8 +134,25 @@
     src/gui/about.cpp
     src/gui/messageDialog.cpp
     src/gui/textbuf.cpp
-    src/gui/qjacktrip.qrc
   )
+  
+  if (NOT novs)
+    set (qjacktrip_SRC ${qjacktrip_SRC}
+      src/gui/virtualstudio.cpp
+      src/gui/vsQuickView.cpp
+      src/gui/vsServerInfo.cpp
+      src/gui/vsPing.cpp
+      src/gui/vsPinger.cpp
+      src/gui/vsDevice.cpp
+      src/gui/vsUrlHandler.cpp
+      src/gui/vsWebSocket.cpp
+      src/gui/qjacktrip.qrc
+      # Need to include this for AUTOMOC to do its thing
+      src/JTApplication.h
+    )
+  else ()
+    set (qjacktrip_SRC ${qjacktrip_SRC} src/gui/qjacktrip_novs.qrc)
+  endif ()
 
   if (${CMAKE_SYSTEM_NAME} MATCHES "Windows")
     set (qjacktrip_SRC ${qjacktrip_SRC} win/qjacktrip.rc)
@@ -128,9 +169,12 @@
 add_executable(jacktrip ${qjacktrip_SRC})
 
 # Set our libraries for our linker
-set (qjacktrip_LIBS Qt5::Widgets)
+set (qjacktrip_LIBS Qt5::Network)
 if (NOT nogui)
-  set (qjacktrip_LIBS ${qjacktrip_LIBS} Qt5::Network)
+  set (qjacktrip_LIBS ${qjacktrip_LIBS} Qt5::Widgets)
+  if (NOT novs)
+    set (qjacktrip_LIBS ${qjacktrip_LIBS} Qt5::Quick Qt5::NetworkAuth Qt5::WebSockets)
+  endif ()
 endif ()
 
 if (${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
