=== debian/changelog ===
jacktrip (1.6.3+ds0-1) unstable; urgency=medium

  * New upstream version 1.6.3+ds0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 29 Aug 2022 19:10:24 +0200

jacktrip (1.6.2+ds0-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 1.6.2+ds0
    + Re-generate d/copyright_hints
  * B-D on libqt5websockets5-dev

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 19 Aug 2022 12:42:07 +0200

jacktrip (1.6.1+ds0-1) unstable; urgency=medium

  * New upstream version 1.6.1+ds0

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop patches applied upstream
  * Add some more QT5 B-Ds
  * Switch buildsystem to 'meson'
  * Override dh_auto_install
  * Install all files for jacktrip-gui
  * Fix cross-compilation:
    * Mark python3-(jinja2 ,yaml) dependency as ':native'
    * Only B-D on 'help2man' if not cross-compiling
  * Fix d/watch to correctly handle release-candidates

  [ Dennis Braun ]
  * Bump Standards Version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 17 Jul 2022 22:31:10 +0200

jacktrip (1.5.3+ds0-1) unstable; urgency=medium

  * New upstream version 1.5.3+ds0
  * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 06 Apr 2022 10:20:55 +0200

jacktrip (1.5.2+ds0-1) unstable; urgency=medium

  * New upstream version 1.5.2+ds0
    * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 07 Mar 2022 19:39:08 +0100
