=== debian/control ===
--- 
+++ 
@@ -7,13 +7,19 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-buildinfo,
- help2man,
+ help2man <!cross>,
  libjack-dev,
+ libqt5networkauth5-dev,
+ libqt5svg5-dev,
+ libqt5websockets5-dev,
  librtaudio-dev,
+ meson,
  pkg-config,
- qt5-qmake,
+ python3-jinja2:native,
+ python3-yaml:native,
  qtbase5-dev,
-Standards-Version: 4.6.0
+ qtdeclarative5-dev,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/jacktrip/jacktrip/
 Vcs-Git: https://salsa.debian.org/multimedia-team/jacktrip.git
