=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 FLAVORS = cli gui
-CONFIG_cli = -config nogui
-CONFIG_gui = -config rtaudio
+CONFIG_cli = -Dnogui=true -Drtaudio=disabled -Djack=enabled
+CONFIG_gui = -Dnogui=false -Drtaudio=enabled -Djack=enabled
 
 
 builddir=debian/build/flavor-
@@ -16,28 +16,47 @@
 DEB_SRCDIR = .
 
 %:
-	dh $@ --sourcedirectory=$(DEB_SRCDIR) --buildsystem=qmake
+	dh $@ --sourcedirectory=$(DEB_SRCDIR) --buildsystem=meson
 
 override_dh_clean:
 	dh_clean
 	rm -rf $(FLAVORS:%=$(builddir)%)
+	-rmdir debian/build/
 	rm -f $(FLAVORS:%=jacktrip-%.1)
 
 #.PHONY: $(patsubst %,configure_%,$(FLAVORS))
 override_dh_auto_configure-arch: $(patsubst %,configure_%,$(FLAVORS))
 configure_%:
-	dh_auto_configure -a -B $(builddir)$* -- $(strip $(CONFIG) $(CONFIG_$*)) $(CURDIR)/jacktrip.pro
+	dh_auto_configure -a -B $(builddir)$* -- $(strip $(CONFIG) $(CONFIG_$*))
 
 #.PHONY: $(patsubst %,build_%,$(FLAVORS))
 override_dh_auto_build-arch: $(patsubst %,build_%,$(FLAVORS)) $(patsubst %,$(builddir)%/jacktrip.1,$(FLAVORS))
 build_%:
-	dh_auto_build -a -B $(builddir)$* -- -f Makefile.Release
+	dh_auto_build -a -B $(builddir)$*
 	cp $(builddir)$*/jacktrip $(builddir)$*/jacktrip-$*
 # manpages
 $(builddir)%/jacktrip.1: build_%
 	cp debian/jacktrip.1 $@
 	-help2man --no-info --section=1 -n "high-quality system for audio network performances" --output $@ $(builddir)$*/jacktrip
 	cp $@ $(patsubst %.1,%-$*.1,$@)
+
+#.PHONY: $(patsubst %,test_%,$(FLAVORS))
+override_dh_auto_test-arch: $(patsubst %,test_%,$(FLAVORS))
+test_%:
+	dh_auto_test -a -B $(builddir)$*
+
+#.PHONY: $(patsubst %,install_%,$(FLAVORS))
+override_dh_auto_install-arch: $(patsubst %,install_%,$(FLAVORS))
+install_%:
+	dh_auto_install -a -B $(builddir)$*
+	-mv debian/tmp/usr/bin/jacktrip debian/tmp/usr/bin/jacktrip-$*
+	-cp debian/jacktrip.1 debian/tmp/usr/share/man/man1/jacktrip-$*.1
+	-mv debian/tmp/usr/share/man/man1/jacktrip.1 debian/tmp/usr/share/man/man1/jacktrip-$*.1
+	-find debian/tmp -type f -name "*.desktop" -exec sed -e "s|^\(Exec=jacktrip\)$$|\1-$*|" -i {} ";"
+install_cli:
+	echo "skipping auto_install for flavour 'cli'"
+
+
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/changelog.yml
