=== debian/watch ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # See uscan(1) for format
 version=4
 opts=dversionmangle=auto,\
+     uversionmangle=s/-pre/~pre/;s/-rc/~rc/,\
      repacksuffix=+ds0,\
      filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz% \
   https://github.com/jacktrip/jacktrip/tags .*/v?(\d\S*)\.tar\.gz
