## jacktrip 1.6.8+ds

=== debian/changelog ===
jacktrip (1.6.8+ds-1) unstable; urgency=medium

  * New upstream version 1.6.8+ds
  * Drop number from repacksuffix
  * Ensure that 'licensecheck' is run with the C.UTF-8 locale

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 11 Dec 2022 22:12:23 +0100

jacktrip (1.6.7+ds0-1) unstable; urgency=medium

  * New upstream version 1.6.7+ds0
  * Update d/copyright
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Dec 2022 22:31:06 +0100

jacktrip (1.6.6+ds0-1) unstable; urgency=medium

  * New upstream version 1.6.6+ds0
  * Update d/copyright
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 10 Nov 2022 11:15:20 +0100

jacktrip (1.6.4+ds0-1) unstable; urgency=medium

  * New upstream version 1.6.4+ds0
  * Update d/copyright
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Sep 2022 12:11:04 +0200
