=== debian/rules ===
--- 
+++ 
@@ -61,9 +61,15 @@
 override_dh_installchangelogs:
 	dh_installchangelogs docs/changelog.yml
 
+
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*|documentation/img/.*|docs/images/.*\.png|src/gui/.*\.png|src/gui/alt/Jacktrip\.ai|macos/jacktrip\.iconset/.*\.png|macos/JackTrip\.app_template/Contents/Resources/jacktrip\.icns|macos/jacktrip_alt\.icns
+# licensecheck v1
+.PHONY: licensecheck
 licensecheck:
-	licensecheck --deb-machine -r * \
-		-i 'documentation/img/.*|debian/(changelog|copyright(|_hints|_newhints))$$' \
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
 		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
 		&& rm debian/copyright_newhints
