## jacktrip 1.7.0%2Bds

=== debian/changelog ===
jacktrip (1.7.0+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Feb 2023 11:19:59 +0100

jacktrip (1.7.0+ds-1) unstable; urgency=medium

  * New upstream version 1.7.0+ds
  * Use wrapper-script to launch jacktrip from .desktop
  * Simplify 'clean' target
  * Update d/copyright
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 27 Jan 2023 11:00:45 +0100
